import React from 'react';
import { GenericComponentType, IColorSchemes } from '../../types';
type IAlertProps = {
    status?: 'info' | 'success' | 'warning' | 'error';
    colorScheme?: IColorSchemes;
};
export type IAlertComponentType<Alert, Icon> = GenericComponentType<Alert, {}, IAlertProps> & {
    Icon: GenericComponentType<Icon>;
};
export declare const Alert: IAlertComponentType<import("@gluestack-ui/alert/lib/typescript/types").IAlertComponentType<Omit<Omit<import("react-native").ViewProps, "variant"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, {
    variant: {
        solid: unknown;
        'left-accent': unknown;
        'top-accent': unknown;
        outline: unknown;
        subtle: unknown;
        'outline-light': unknown;
    };
}, import("react-native").ViewProps, unknown>> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<Omit<Omit<Omit<import("react-native").TextProps, "italic" | "bold" | "underline" | "sub" | "isTruncated" | "strikeThrough" | "highlight" | "size"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, {
    isTruncated: {
        true: unknown;
    };
    bold: {
        true: unknown;
    };
    underline: {
        true: unknown;
    };
    strikeThrough: {
        true: unknown;
    };
    sub: {
        true: unknown;
    };
    italic: {
        true: unknown;
    };
    highlight: {
        true: unknown;
    };
    size: {
        '2xs': unknown;
        xs: unknown;
        sm: unknown;
        md: unknown;
        lg: unknown;
        xl: unknown;
        '2xl': unknown;
        '3xl': unknown;
        '4xl': unknown;
        '5xl': unknown;
        '6xl': unknown;
    };
}, import("react-native").TextProps, "Text">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, Omit<Omit<import("react-native").TextProps, "italic" | "bold" | "underline" | "sub" | "isTruncated" | "strikeThrough" | "highlight" | "size"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, {
    isTruncated: {
        true: unknown;
    };
    bold: {
        true: unknown;
    };
    underline: {
        true: unknown;
    };
    strikeThrough: {
        true: unknown;
    };
    sub: {
        true: unknown;
    };
    italic: {
        true: unknown;
    };
    highlight: {
        true: unknown;
    };
    size: {
        '2xs': unknown;
        xs: unknown;
        sm: unknown;
        md: unknown;
        lg: unknown;
        xl: unknown;
        '2xl': unknown;
        '3xl': unknown;
        '4xl': unknown;
        '5xl': unknown;
        '6xl': unknown;
    };
}, import("react-native").TextProps, "Text">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>, "AlertText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, Omit<Omit<import("react-native").TextProps, "italic" | "bold" | "underline" | "sub" | "isTruncated" | "strikeThrough" | "highlight" | "size"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, {
    isTruncated: {
        true: unknown;
    };
    bold: {
        true: unknown;
    };
    underline: {
        true: unknown;
    };
    strikeThrough: {
        true: unknown;
    };
    sub: {
        true: unknown;
    };
    italic: {
        true: unknown;
    };
    highlight: {
        true: unknown;
    };
    size: {
        '2xs': unknown;
        xs: unknown;
        sm: unknown;
        md: unknown;
        lg: unknown;
        xl: unknown;
        '2xl': unknown;
        '3xl': unknown;
        '4xl': unknown;
        '5xl': unknown;
        '6xl': unknown;
    };
}, import("react-native").TextProps, "Text">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack">, "ref"> & React.RefAttributes<Omit<Omit<import("react-native").TextProps, "italic" | "bold" | "underline" | "sub" | "isTruncated" | "strikeThrough" | "highlight" | "size"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, {
    isTruncated: {
        true: unknown;
    };
    bold: {
        true: unknown;
    };
    underline: {
        true: unknown;
    };
    strikeThrough: {
        true: unknown;
    };
    sub: {
        true: unknown;
    };
    italic: {
        true: unknown;
    };
    highlight: {
        true: unknown;
    };
    size: {
        '2xs': unknown;
        xs: unknown;
        sm: unknown;
        md: unknown;
        lg: unknown;
        xl: unknown;
        '2xl': unknown;
        '3xl': unknown;
        '4xl': unknown;
        '5xl': unknown;
        '6xl': unknown;
    };
}, import("react-native").TextProps, "Text">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>, Omit<Omit<Omit<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>, "AlertIcon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack">, "ref"> & React.RefAttributes<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>>>, React.ForwardRefExoticComponent<Omit<Omit<Omit<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>, "AlertIcon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack">, "ref"> & React.RefAttributes<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>>>>;
export {};
