"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stagger = void 0;
// import cloneDeep from 'lodash.clonedeep';
const react_1 = __importStar(require("react"));
const PresenceTransition_1 = require("./PresenceTransition");
const lodash_clonedeep_1 = __importDefault(require("lodash.clonedeep"));
const defaultStaggerConfig = { offset: 0, reverse: false };
exports.Stagger = (0, react_1.forwardRef)((_a, ref) => {
    var { children } = _a, restProps = __rest(_a, ["children"]);
    return react_1.default.Children.map(children, (child, index) => {
        var _a, _b, _c, _d;
        const clonedAnimationConfig = (0, lodash_clonedeep_1.default)(restProps);
        const { animate, exit } = clonedAnimationConfig;
        if (animate) {
            if (!animate.transition) {
                animate.transition = {};
            }
            animate.transition.delay = (_a = animate.transition.delay) !== null && _a !== void 0 ? _a : 0;
            const stagger = (_b = animate.transition.stagger) !== null && _b !== void 0 ? _b : defaultStaggerConfig;
            const offset = stagger.reverse
                ? (react_1.default.Children.count(children) - 1 - index) * stagger.offset
                : index * stagger.offset;
            animate.transition.delay = animate.transition.delay + offset;
        }
        if (exit) {
            if (!exit.transition) {
                exit.transition = {};
            }
            exit.transition.delay = (_c = exit.transition.delay) !== null && _c !== void 0 ? _c : 0;
            const stagger = (_d = exit.transition.stagger) !== null && _d !== void 0 ? _d : defaultStaggerConfig;
            const offset = stagger.reverse
                ? (react_1.default.Children.count(children) - 1 - index) * stagger.offset
                : index * stagger.offset;
            exit.transition.delay = exit.transition.delay + offset;
        }
        return (react_1.default.createElement(PresenceTransition_1.PresenceTransition, Object.assign({ key: child.key }, clonedAnimationConfig, { ref: ref }), child));
    });
});
